Name | Type | Default |
animationDuration
|
number
|
30
|
Sets or gets the animationDuration property. Specifies the duration of the animation which starts when the current page is changed.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxScrollView, { IScrollViewProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxscrollview'; class App extends React.PureComponent<{}, IScrollViewProps> { private myScrollView = React.createRef<JqxScrollView>(); public render() { return ( <JqxScrollView ref={this.myScrollView} width={600} height={450} animationDuration={3000}> <div class="photo" style="background-image: url(https://www.jqwidgets.com/jquery-widgets-demo/images/imageNature1.jpg)"></div> <div class="photo" style="background-image: url(https://www.jqwidgets.com/jquery-widgets-demo/images/imageNature2.jpg)"></div> <div class="photo" style="background-image: url(https://www.jqwidgets.com/jquery-widgets-demo/images/imageNature3.jpg)"></div> </JqxScrollView> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
bounceEnabled
|
boolean
|
true
|
Sets or gets whether the bounce effect is enabled when pages are changed.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxScrollView, { IScrollViewProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxscrollview'; class App extends React.PureComponent<{}, IScrollViewProps> { private myScrollView = React.createRef<JqxScrollView>(); public render() { return ( <JqxScrollView ref={this.myScrollView} width={600} height={450} bounceEnabled={false}> <div class="photo" style="background-image: url(https://www.jqwidgets.com/jquery-widgets-demo/images/imageNature1.jpg)"></div> <div class="photo" style="background-image: url(https://www.jqwidgets.com/jquery-widgets-demo/images/imageNature2.jpg)"></div> <div class="photo" style="background-image: url(https://www.jqwidgets.com/jquery-widgets-demo/images/imageNature3.jpg)"></div> </JqxScrollView> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
buttonsOffset
|
Array<number>
|
[0, 0]
|
Sets or gets the jqxScrollView's buttonsOffset property. This property sets the offset from the default location of the navigation buttons.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxScrollView, { IScrollViewProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxscrollview'; class App extends React.PureComponent<{}, IScrollViewProps> { private myScrollView = React.createRef<JqxScrollView>(); public render() { return ( <JqxScrollView ref={this.myScrollView} width={600} height={450} buttonsOffset={[100, 0]}> <div class="photo" style="background-image: url(https://www.jqwidgets.com/jquery-widgets-demo/images/imageNature1.jpg)"></div> <div class="photo" style="background-image: url(https://www.jqwidgets.com/jquery-widgets-demo/images/imageNature2.jpg)"></div> <div class="photo" style="background-image: url(https://www.jqwidgets.com/jquery-widgets-demo/images/imageNature3.jpg)"></div> </JqxScrollView> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
currentPage
|
number
|
0
|
Sets or gets the jqxScrollView's currentPage property. The currentPage specifies the displayed element.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxScrollView, { IScrollViewProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxscrollview'; class App extends React.PureComponent<{}, IScrollViewProps> { private myScrollView = React.createRef<JqxScrollView>(); public render() { return ( <JqxScrollView ref={this.myScrollView} width={600} height={450} currentPage={1}> <div class="photo" style="background-image: url(https://www.jqwidgets.com/jquery-widgets-demo/images/imageNature1.jpg)"></div> <div class="photo" style="background-image: url(https://www.jqwidgets.com/jquery-widgets-demo/images/imageNature2.jpg)"></div> <div class="photo" style="background-image: url(https://www.jqwidgets.com/jquery-widgets-demo/images/imageNature3.jpg)"></div> </JqxScrollView> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
disabled
|
boolean
|
false
|
Sets or gets the jqxScrollView's disabled property.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxScrollView, { IScrollViewProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxscrollview'; class App extends React.PureComponent<{}, IScrollViewProps> { private myScrollView = React.createRef<JqxScrollView>(); public render() { return ( <JqxScrollView ref={this.myScrollView} width={600} height={450} disabled={true}> <div class="photo" style="background-image: url(https://www.jqwidgets.com/jquery-widgets-demo/images/imageNature1.jpg)"></div> <div class="photo" style="background-image: url(https://www.jqwidgets.com/jquery-widgets-demo/images/imageNature2.jpg)"></div> <div class="photo" style="background-image: url(https://www.jqwidgets.com/jquery-widgets-demo/images/imageNature3.jpg)"></div> </JqxScrollView> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
height
|
string | number
|
320
|
Sets or gets the jqxScrollView's height.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxScrollView, { IScrollViewProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxscrollview'; class App extends React.PureComponent<{}, IScrollViewProps> { private myScrollView = React.createRef<JqxScrollView>(); public render() { return ( <JqxScrollView ref={this.myScrollView} width={600} height={450}> <div class="photo" style="background-image: url(https://www.jqwidgets.com/jquery-widgets-demo/images/imageNature1.jpg)"></div> <div class="photo" style="background-image: url(https://www.jqwidgets.com/jquery-widgets-demo/images/imageNature2.jpg)"></div> <div class="photo" style="background-image: url(https://www.jqwidgets.com/jquery-widgets-demo/images/imageNature3.jpg)"></div> </JqxScrollView> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
moveThreshold
|
number
|
0.5
|
Sets or gets the jqxScrollView's moveThreshold property. The moveThreshold property specifies how much the user should drag the current element to navigate to next/previous element. Values should be set from 0.1 to 1. 0.5 means 50% of the element's width.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxScrollView, { IScrollViewProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxscrollview'; class App extends React.PureComponent<{}, IScrollViewProps> { private myScrollView = React.createRef<JqxScrollView>(); public render() { return ( <JqxScrollView ref={this.myScrollView} width={600} height={450} moveThreshold={1}> <div class="photo" style="background-image: url(https://www.jqwidgets.com/jquery-widgets-demo/images/imageNature1.jpg)"></div> <div class="photo" style="background-image: url(https://www.jqwidgets.com/jquery-widgets-demo/images/imageNature2.jpg)"></div> <div class="photo" style="background-image: url(https://www.jqwidgets.com/jquery-widgets-demo/images/imageNature3.jpg)"></div> </JqxScrollView> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
showButtons
|
boolean
|
true
|
Sets or gets whether the navigation buttons are visible.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxScrollView, { IScrollViewProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxscrollview'; class App extends React.PureComponent<{}, IScrollViewProps> { private myScrollView = React.createRef<JqxScrollView>(); public render() { return ( <JqxScrollView ref={this.myScrollView} width={600} height={450} showButtons={false}> <div class="photo" style="background-image: url(https://www.jqwidgets.com/jquery-widgets-demo/images/imageNature1.jpg)"></div> <div class="photo" style="background-image: url(https://www.jqwidgets.com/jquery-widgets-demo/images/imageNature2.jpg)"></div> <div class="photo" style="background-image: url(https://www.jqwidgets.com/jquery-widgets-demo/images/imageNature3.jpg)"></div> </JqxScrollView> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
slideShow
|
boolean
|
false
|
Indicates whether the slideShow mode is enabled. In this mode, pages are changed automatically in a time interval.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxScrollView, { IScrollViewProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxscrollview'; class App extends React.PureComponent<{}, IScrollViewProps> { private myScrollView = React.createRef<JqxScrollView>(); public render() { return ( <JqxScrollView ref={this.myScrollView} width={600} height={450} slideShow={true}> <div class="photo" style="background-image: url(https://www.jqwidgets.com/jquery-widgets-demo/images/imageNature1.jpg)"></div> <div class="photo" style="background-image: url(https://www.jqwidgets.com/jquery-widgets-demo/images/imageNature2.jpg)"></div> <div class="photo" style="background-image: url(https://www.jqwidgets.com/jquery-widgets-demo/images/imageNature3.jpg)"></div> </JqxScrollView> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
slideDuration
|
number
|
3000
|
Sets or gets the duration in milliseconds of a time interval. The current page is changed when the time interval is elapsed.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxScrollView, { IScrollViewProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxscrollview'; class App extends React.PureComponent<{}, IScrollViewProps> { private myScrollView = React.createRef<JqxScrollView>(); public render() { return ( <JqxScrollView ref={this.myScrollView} width={600} height={450} slideShow={true} slideDuration={1000}> <div class="photo" style="background-image: url(https://www.jqwidgets.com/jquery-widgets-demo/images/imageNature1.jpg)"></div> <div class="photo" style="background-image: url(https://www.jqwidgets.com/jquery-widgets-demo/images/imageNature2.jpg)"></div> <div class="photo" style="background-image: url(https://www.jqwidgets.com/jquery-widgets-demo/images/imageNature3.jpg)"></div> </JqxScrollView> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
theme
|
string
|
''
|
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxScrollView, { IScrollViewProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxscrollview'; class App extends React.PureComponent<{}, IScrollViewProps> { private myScrollView = React.createRef<JqxScrollView>(); public render() { return ( <JqxScrollView ref={this.myScrollView} width={600} height={450} theme={ 'material'}> <div class="photo" style="background-image: url(https://www.jqwidgets.com/jquery-widgets-demo/images/imageNature1.jpg)"></div> <div class="photo" style="background-image: url(https://www.jqwidgets.com/jquery-widgets-demo/images/imageNature2.jpg)"></div> <div class="photo" style="background-image: url(https://www.jqwidgets.com/jquery-widgets-demo/images/imageNature3.jpg)"></div> </JqxScrollView> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
width
|
string | number
|
320
|
Sets or gets the jqxScrollView's width.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxScrollView, { IScrollViewProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxscrollview'; class App extends React.PureComponent<{}, IScrollViewProps> { private myScrollView = React.createRef<JqxScrollView>(); public render() { return ( <JqxScrollView ref={this.myScrollView} width={600} height={450}> <div class="photo" style="background-image: url(https://www.jqwidgets.com/jquery-widgets-demo/images/imageNature1.jpg)"></div> <div class="photo" style="background-image: url(https://www.jqwidgets.com/jquery-widgets-demo/images/imageNature2.jpg)"></div> <div class="photo" style="background-image: url(https://www.jqwidgets.com/jquery-widgets-demo/images/imageNature3.jpg)"></div> </JqxScrollView> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
|
pageChanged
|
Event
|
|
This event is triggered when the current page is changed.
Code examples
Bind to the pageChanged event of jqxScrollView.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxScrollView, { IScrollViewProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxscrollview'; class App extends React.PureComponent<{}, IScrollViewProps> { private myScrollView = React.createRef<JqxScrollView>(); public render() { return ( <JqxScrollView ref={this.myScrollView} onPageChanged={this.onPageChanged} width={600} height={450}> <div class="photo" style="background-image: url(https://www.jqwidgets.com/jquery-widgets-demo/images/imageNature1.jpg)"></div> <div class="photo" style="background-image: url(https://www.jqwidgets.com/jquery-widgets-demo/images/imageNature2.jpg)"></div> <div class="photo" style="background-image: url(https://www.jqwidgets.com/jquery-widgets-demo/images/imageNature3.jpg)"></div> </JqxScrollView> ); } private onPageChanged(e: Event): void { alert( 'do something...'); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
|
Name | Arguments | Return Type |
back
|
None
|
|
Navigates to the previous page.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxScrollView, { IScrollViewProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxscrollview'; class App extends React.PureComponent<{}, IScrollViewProps> { private myScrollView = React.createRef<JqxScrollView>(); public componentDidMount(): void { this.myScrollView.current!.back(); } public render() { return ( <JqxScrollView ref={this.myScrollView} width={600} height={450}> <div class="photo" style="background-image: url(https://www.jqwidgets.com/jquery-widgets-demo/images/imageNature1.jpg)"></div> <div class="photo" style="background-image: url(https://www.jqwidgets.com/jquery-widgets-demo/images/imageNature2.jpg)"></div> <div class="photo" style="background-image: url(https://www.jqwidgets.com/jquery-widgets-demo/images/imageNature3.jpg)"></div> </JqxScrollView> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
changePage
|
index
|
|
Navigates to a page.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxScrollView, { IScrollViewProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxscrollview'; class App extends React.PureComponent<{}, IScrollViewProps> { private myScrollView = React.createRef<JqxScrollView>(); public componentDidMount(): void { this.myScrollView.current!.changePage(1); } public render() { return ( <JqxScrollView ref={this.myScrollView} width={600} height={450}> <div class="photo" style="background-image: url(https://www.jqwidgets.com/jquery-widgets-demo/images/imageNature1.jpg)"></div> <div class="photo" style="background-image: url(https://www.jqwidgets.com/jquery-widgets-demo/images/imageNature2.jpg)"></div> <div class="photo" style="background-image: url(https://www.jqwidgets.com/jquery-widgets-demo/images/imageNature3.jpg)"></div> </JqxScrollView> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
forward
|
None
|
|
Navigates to the next page.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxScrollView, { IScrollViewProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxscrollview'; class App extends React.PureComponent<{}, IScrollViewProps> { private myScrollView = React.createRef<JqxScrollView>(); public componentDidMount(): void { this.myScrollView.current!.forward(); } public render() { return ( <JqxScrollView ref={this.myScrollView} width={600} height={450}> <div class="photo" style="background-image: url(https://www.jqwidgets.com/jquery-widgets-demo/images/imageNature1.jpg)"></div> <div class="photo" style="background-image: url(https://www.jqwidgets.com/jquery-widgets-demo/images/imageNature2.jpg)"></div> <div class="photo" style="background-image: url(https://www.jqwidgets.com/jquery-widgets-demo/images/imageNature3.jpg)"></div> </JqxScrollView> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
refresh
|
None
|
|
Refreshes the widget.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxScrollView, { IScrollViewProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxscrollview'; class App extends React.PureComponent<{}, IScrollViewProps> { private myScrollView = React.createRef<JqxScrollView>(); public componentDidMount(): void { this.myScrollView.current!.refresh(); } public render() { return ( <JqxScrollView ref={this.myScrollView} width={600} height={450}> <div class="photo" style="background-image: url(https://www.jqwidgets.com/jquery-widgets-demo/images/imageNature1.jpg)"></div> <div class="photo" style="background-image: url(https://www.jqwidgets.com/jquery-widgets-demo/images/imageNature2.jpg)"></div> <div class="photo" style="background-image: url(https://www.jqwidgets.com/jquery-widgets-demo/images/imageNature3.jpg)"></div> </JqxScrollView> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|

Properties

NameTypeDefault
animationDuration Number 30

Sets or gets the animationDuration property. Specifies the duration of the animation which starts when the current page is changed.

<template>
<JqxScrollView ref="myScrollView"
:width="600" :height="450" :animationDuration="3000">
<div class="photo" style="background-image: url(https://www.jqwidgets.com/jquery-widgets-demo/images/imageNature1.jpg)"></div>
<div class="photo" style="background-image: url(https://www.jqwidgets.com/jquery-widgets-demo/images/imageNature2.jpg)"></div>
<div class="photo" style="background-image: url(https://www.jqwidgets.com/jquery-widgets-demo/images/imageNature3.jpg)"></div>
</JqxScrollView>
</template>
<script>
import JqxScrollView from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxscrollview.vue';
export default {
components: {
JqxScrollView
}
}
</script>
bounceEnabled Boolean true

Sets or gets whether the bounce effect is enabled when pages are changed.

<template>
<JqxScrollView ref="myScrollView"
:width="600" :height="450" :bounceEnabled="false">
<div class="photo" style="background-image: url(https://www.jqwidgets.com/jquery-widgets-demo/images/imageNature1.jpg)"></div>
<div class="photo" style="background-image: url(https://www.jqwidgets.com/jquery-widgets-demo/images/imageNature2.jpg)"></div>
<div class="photo" style="background-image: url(https://www.jqwidgets.com/jquery-widgets-demo/images/imageNature3.jpg)"></div>
</JqxScrollView>
</template>
<script>
import JqxScrollView from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxscrollview.vue';
export default {
components: {
JqxScrollView
}
}
</script>
buttonsOffset Array [0, 0]

Sets or gets the jqxScrollView's buttonsOffset property. This property sets the offset from the default location of the navigation buttons.

<template>
<JqxScrollView ref="myScrollView"
:width="600" :height="450" :buttonsOffset=" [100, 0] ">
<div class="photo" style="background-image: url(https://www.jqwidgets.com/jquery-widgets-demo/images/imageNature1.jpg)"></div>
<div class="photo" style="background-image: url(https://www.jqwidgets.com/jquery-widgets-demo/images/imageNature2.jpg)"></div>
<div class="photo" style="background-image: url(https://www.jqwidgets.com/jquery-widgets-demo/images/imageNature3.jpg)"></div>
</JqxScrollView>
</template>
<script>
import JqxScrollView from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxscrollview.vue';
export default {
components: {
JqxScrollView
}
}
</script>
currentPage Number 0

Sets or gets the jqxScrollView's currentPage property. The currentPage specifies the displayed element.

<template>
<JqxScrollView ref="myScrollView"
:width="600" :height="450" :currentPage="1">
<div class="photo" style="background-image: url(https://www.jqwidgets.com/jquery-widgets-demo/images/imageNature1.jpg)"></div>
<div class="photo" style="background-image: url(https://www.jqwidgets.com/jquery-widgets-demo/images/imageNature2.jpg)"></div>
<div class="photo" style="background-image: url(https://www.jqwidgets.com/jquery-widgets-demo/images/imageNature3.jpg)"></div>
</JqxScrollView>
</template>
<script>
import JqxScrollView from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxscrollview.vue';
export default {
components: {
JqxScrollView
}
}
</script>
disabled Boolean false

Sets or gets the jqxScrollView's disabled property.

<template>
<JqxScrollView ref="myScrollView"
:width="600" :height="450" :disabled="true">
<div class="photo" style="background-image: url(https://www.jqwidgets.com/jquery-widgets-demo/images/imageNature1.jpg)"></div>
<div class="photo" style="background-image: url(https://www.jqwidgets.com/jquery-widgets-demo/images/imageNature2.jpg)"></div>
<div class="photo" style="background-image: url(https://www.jqwidgets.com/jquery-widgets-demo/images/imageNature3.jpg)"></div>
</JqxScrollView>
</template>
<script>
import JqxScrollView from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxscrollview.vue';
export default {
components: {
JqxScrollView
}
}
</script>
height Number | String 320

Sets or gets the jqxScrollView's height.

<template>
<JqxScrollView ref="myScrollView"
:width="600" :height="450">
<div class="photo" style="background-image: url(https://www.jqwidgets.com/jquery-widgets-demo/images/imageNature1.jpg)"></div>
<div class="photo" style="background-image: url(https://www.jqwidgets.com/jquery-widgets-demo/images/imageNature2.jpg)"></div>
<div class="photo" style="background-image: url(https://www.jqwidgets.com/jquery-widgets-demo/images/imageNature3.jpg)"></div>
</JqxScrollView>
</template>
<script>
import JqxScrollView from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxscrollview.vue';
export default {
components: {
JqxScrollView
}
}
</script>
moveThreshold Number 0.5

Sets or gets the jqxScrollView's moveThreshold property. The moveThreshold property specifies how much the user should drag the current element to navigate to next/previous element. Values should be set from 0.1 to 1. 0.5 means 50% of the element's width.

<template>
<JqxScrollView ref="myScrollView"
:width="600" :height="450" :moveThreshold="1">
<div class="photo" style="background-image: url(https://www.jqwidgets.com/jquery-widgets-demo/images/imageNature1.jpg)"></div>
<div class="photo" style="background-image: url(https://www.jqwidgets.com/jquery-widgets-demo/images/imageNature2.jpg)"></div>
<div class="photo" style="background-image: url(https://www.jqwidgets.com/jquery-widgets-demo/images/imageNature3.jpg)"></div>
</JqxScrollView>
</template>
<script>
import JqxScrollView from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxscrollview.vue';
export default {
components: {
JqxScrollView
}
}
</script>
showButtons Boolean true

Sets or gets whether the navigation buttons are visible.

<template>
<JqxScrollView ref="myScrollView"
:width="600" :height="450" :showButtons="false">
<div class="photo" style="background-image: url(https://www.jqwidgets.com/jquery-widgets-demo/images/imageNature1.jpg)"></div>
<div class="photo" style="background-image: url(https://www.jqwidgets.com/jquery-widgets-demo/images/imageNature2.jpg)"></div>
<div class="photo" style="background-image: url(https://www.jqwidgets.com/jquery-widgets-demo/images/imageNature3.jpg)"></div>
</JqxScrollView>
</template>
<script>
import JqxScrollView from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxscrollview.vue';
export default {
components: {
JqxScrollView
}
}
</script>
slideShow Boolean false

Indicates whether the slideShow mode is enabled. In this mode, pages are changed automatically in a time interval.

<template>
<JqxScrollView ref="myScrollView"
:width="600" :height="450" :slideShow="true">
<div class="photo" style="background-image: url(https://www.jqwidgets.com/jquery-widgets-demo/images/imageNature1.jpg)"></div>
<div class="photo" style="background-image: url(https://www.jqwidgets.com/jquery-widgets-demo/images/imageNature2.jpg)"></div>
<div class="photo" style="background-image: url(https://www.jqwidgets.com/jquery-widgets-demo/images/imageNature3.jpg)"></div>
</JqxScrollView>
</template>
<script>
import JqxScrollView from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxscrollview.vue';
export default {
components: {
JqxScrollView
}
}
</script>
slideDuration Number 3000

Sets or gets the duration in milliseconds of a time interval. The current page is changed when the time interval is elapsed.

<template>
<JqxScrollView ref="myScrollView"
:width="600" :height="450" :slideShow="true" :slideDuration="1000">
<div class="photo" style="background-image: url(https://www.jqwidgets.com/jquery-widgets-demo/images/imageNature1.jpg)"></div>
<div class="photo" style="background-image: url(https://www.jqwidgets.com/jquery-widgets-demo/images/imageNature2.jpg)"></div>
<div class="photo" style="background-image: url(https://www.jqwidgets.com/jquery-widgets-demo/images/imageNature3.jpg)"></div>
</JqxScrollView>
</template>
<script>
import JqxScrollView from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxscrollview.vue';
export default {
components: {
JqxScrollView
}
}
</script>
theme String ''

Sets the widget's theme.

  • Include the theme's CSS file after jqx.base.css.
    The following code example adds the 'material' theme.
    
    
    <link rel="stylesheet" href="../../jqwidgets/styles/jqx.base.css" type="text/css" />
    <link rel="stylesheet" href="../../jqwidgets/styles/jqx.material.css" type="text/css" />
    
  • Set the widget's theme property to 'material' when you initialize it.
<template>
<JqxScrollView ref="myScrollView"
:width="600" :height="450" :theme="'material'">
<div class="photo" style="background-image: url(https://www.jqwidgets.com/jquery-widgets-demo/images/imageNature1.jpg)"></div>
<div class="photo" style="background-image: url(https://www.jqwidgets.com/jquery-widgets-demo/images/imageNature2.jpg)"></div>
<div class="photo" style="background-image: url(https://www.jqwidgets.com/jquery-widgets-demo/images/imageNature3.jpg)"></div>
</JqxScrollView>
</template>
<script>
import JqxScrollView from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxscrollview.vue';
export default {
components: {
JqxScrollView
}
}
</script>
width Number | String 320

Sets or gets the jqxScrollView's width.

<template>
<JqxScrollView ref="myScrollView"
:width="600" :height="450">
<div class="photo" style="background-image: url(https://www.jqwidgets.com/jquery-widgets-demo/images/imageNature1.jpg)"></div>
<div class="photo" style="background-image: url(https://www.jqwidgets.com/jquery-widgets-demo/images/imageNature2.jpg)"></div>
<div class="photo" style="background-image: url(https://www.jqwidgets.com/jquery-widgets-demo/images/imageNature3.jpg)"></div>
</JqxScrollView>
</template>
<script>
import JqxScrollView from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxscrollview.vue';
export default {
components: {
JqxScrollView
}
}
</script>

Events

pageChanged Event

This event is triggered when the current page is changed.

Code examples

Bind to the pageChanged event of jqxScrollView.

<template>
<JqxScrollView ref="myScrollView" @pageChanged="onPageChanged($event)"
:width="600" :height="450">
<div class="photo" style="background-image: url(https://www.jqwidgets.com/jquery-widgets-demo/images/imageNature1.jpg)"></div>
<div class="photo" style="background-image: url(https://www.jqwidgets.com/jquery-widgets-demo/images/imageNature2.jpg)"></div>
<div class="photo" style="background-image: url(https://www.jqwidgets.com/jquery-widgets-demo/images/imageNature3.jpg)"></div>
</JqxScrollView>
</template>
<script>
import JqxScrollView from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxscrollview.vue';
export default {
components: {
JqxScrollView
},
methods: {
onPageChanged: function (event) {
alert('do something...');
}
}
}
</script>

Methods

NameArgumentsReturn Type
back None None

Navigates to the previous page.

<template>
<JqxScrollView ref="myScrollView"
:width="600" :height="450">
<div class="photo" style="background-image: url(https://www.jqwidgets.com/jquery-widgets-demo/images/imageNature1.jpg)"></div>
<div class="photo" style="background-image: url(https://www.jqwidgets.com/jquery-widgets-demo/images/imageNature2.jpg)"></div>
<div class="photo" style="background-image: url(https://www.jqwidgets.com/jquery-widgets-demo/images/imageNature3.jpg)"></div>
</JqxScrollView>
</template>
<script>
import JqxScrollView from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxscrollview.vue';
export default {
components: {
JqxScrollView
},
mounted: function () {
this.$refs.myScrollView.currentPage = 1;
this.$refs.myScrollView.back();
}
}
</script>
changePage index None

Navigates to a page.

<template>
<JqxScrollView ref="myScrollView"
:width="600" :height="450">
<div class="photo" style="background-image: url(https://www.jqwidgets.com/jquery-widgets-demo/images/imageNature1.jpg)"></div>
<div class="photo" style="background-image: url(https://www.jqwidgets.com/jquery-widgets-demo/images/imageNature2.jpg)"></div>
<div class="photo" style="background-image: url(https://www.jqwidgets.com/jquery-widgets-demo/images/imageNature3.jpg)"></div>
</JqxScrollView>
</template>
<script>
import JqxScrollView from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxscrollview.vue';
export default {
components: {
JqxScrollView
},
mounted: function () {
this.$refs.myScrollView.changePage(1);
}
}
</script>
forward None None

Navigates to the next page.

<template>
<JqxScrollView ref="myScrollView"
:width="600" :height="450">
<div class="photo" style="background-image: url(https://www.jqwidgets.com/jquery-widgets-demo/images/imageNature1.jpg)"></div>
<div class="photo" style="background-image: url(https://www.jqwidgets.com/jquery-widgets-demo/images/imageNature2.jpg)"></div>
<div class="photo" style="background-image: url(https://www.jqwidgets.com/jquery-widgets-demo/images/imageNature3.jpg)"></div>
</JqxScrollView>
</template>
<script>
import JqxScrollView from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxscrollview.vue';
export default {
components: {
JqxScrollView
},
mounted: function () {
this.$refs.myScrollView.forward();
}
}
</script>
refresh None None

Refreshes the widget.

<template>
<JqxScrollView ref="myScrollView"
:width="600" :height="450">
<div class="photo" style="background-image: url(https://www.jqwidgets.com/jquery-widgets-demo/images/imageNature1.jpg)"></div>
<div class="photo" style="background-image: url(https://www.jqwidgets.com/jquery-widgets-demo/images/imageNature2.jpg)"></div>
<div class="photo" style="background-image: url(https://www.jqwidgets.com/jquery-widgets-demo/images/imageNature3.jpg)"></div>
</JqxScrollView>
</template>
<script>
import JqxScrollView from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxscrollview.vue';
export default {
components: {
JqxScrollView
},
mounted: function () {
this.$refs.myScrollView.refresh();
}
}
</script>

Name | Type | Default |
animationDuration
|
Number
|
30
|
Sets or gets the animationDuration property.
import { Component, ViewEncapsulation, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxScrollView #myScrollView [width]="600" [height]="450" [buttonsOffset]='[0, 0]' [animationDuration]="3000"> <div><div class="photo" style="background-image: url(../images/imageNature1.jpg)"></div></div> <div><div class="photo" style="background-image: url(../images/imageNature2.jpg)"></div></div> <div><div class="photo" style="background-image: url(../images/imageNature3.jpg)"></div></div> <div><div class="photo" style="background-image: url(../images/imageNature4.jpg)"></div></div> <div><div class="photo" style="background-image: url(../images/imageNature5.jpg)"></div></div> </jqxScrollView>, styles: [` .photo { width: 600px; height: 450px; background-color: #000; background-position: center; background-repeat: no-repeat; } `], encapsulation: ViewEncapsulation.None ` }) export class AppComponent {
|
bounceEnabled
|
Boolean
|
true
|
Sets or gets the bounceEnabled property.
import { Component, ViewEncapsulation, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxScrollView #myScrollView [width]="600" [height]="450" [buttonsOffset]='[0, 0]' [bounceEnabled]="false"> <div><div class="photo" style="background-image: url(../images/imageNature1.jpg)"></div></div> <div><div class="photo" style="background-image: url(../images/imageNature2.jpg)"></div></div> <div><div class="photo" style="background-image: url(../images/imageNature3.jpg)"></div></div> <div><div class="photo" style="background-image: url(../images/imageNature4.jpg)"></div></div> <div><div class="photo" style="background-image: url(../images/imageNature5.jpg)"></div></div> </jqxScrollView>, styles: [` .photo { width: 600px; height: 450px; background-color: #000; background-position: center; background-repeat: no-repeat; } `], encapsulation: ViewEncapsulation.None ` }) export class AppComponent {
|
buttonsOffset
|
Array<Number>
|
[0, 0]
|
Sets or gets the buttonsOffset property.
import { Component, ViewEncapsulation, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxScrollView #myScrollView [width]="600" [height]="450" [buttonsOffset]='[0, 0]'> <div><div class="photo" style="background-image: url(../images/imageNature1.jpg)"></div></div> <div><div class="photo" style="background-image: url(../images/imageNature2.jpg)"></div></div> <div><div class="photo" style="background-image: url(../images/imageNature3.jpg)"></div></div> <div><div class="photo" style="background-image: url(../images/imageNature4.jpg)"></div></div> <div><div class="photo" style="background-image: url(../images/imageNature5.jpg)"></div></div> </jqxScrollView>, styles: [` .photo { width: 600px; height: 450px; background-color: #000; background-position: center; background-repeat: no-repeat; } `], encapsulation: ViewEncapsulation.None ` }) export class AppComponent {
|
currentPage
|
Number
|
0
|
Sets or gets the currentPage property.
import { Component, ViewEncapsulation, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxScrollView #myScrollView [width]="600" [height]="450" [buttonsOffset]='[0, 0]' [currentPage]="1"> <div><div class="photo" style="background-image: url(../images/imageNature1.jpg)"></div></div> <div><div class="photo" style="background-image: url(../images/imageNature2.jpg)"></div></div> <div><div class="photo" style="background-image: url(../images/imageNature3.jpg)"></div></div> <div><div class="photo" style="background-image: url(../images/imageNature4.jpg)"></div></div> <div><div class="photo" style="background-image: url(../images/imageNature5.jpg)"></div></div> </jqxScrollView>, styles: [` .photo { width: 600px; height: 450px; background-color: #000; background-position: center; background-repeat: no-repeat; } `], encapsulation: ViewEncapsulation.None ` }) export class AppComponent {
|
disabled
|
Boolean
|
false
|
Sets or gets the disabled property.
import { Component, ViewEncapsulation, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxScrollView #myScrollView [width]="600" [height]="450" [buttonsOffset]='[0, 0]' [disabled]="true"> <div><div class="photo" style="background-image: url(../images/imageNature1.jpg)"></div></div> <div><div class="photo" style="background-image: url(../images/imageNature2.jpg)"></div></div> <div><div class="photo" style="background-image: url(../images/imageNature3.jpg)"></div></div> <div><div class="photo" style="background-image: url(../images/imageNature4.jpg)"></div></div> <div><div class="photo" style="background-image: url(../images/imageNature5.jpg)"></div></div> </jqxScrollView>, styles: [` .photo { width: 600px; height: 450px; background-color: #000; background-position: center; background-repeat: no-repeat; } `], encapsulation: ViewEncapsulation.None ` }) export class AppComponent {
|
height
|
String | Number
|
320
|
Sets or gets the height property.
import { Component, ViewEncapsulation, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxScrollView #myScrollView [width]="600" [height]="450" [buttonsOffset]='[0, 0]'> <div><div class="photo" style="background-image: url(../images/imageNature1.jpg)"></div></div> <div><div class="photo" style="background-image: url(../images/imageNature2.jpg)"></div></div> <div><div class="photo" style="background-image: url(../images/imageNature3.jpg)"></div></div> <div><div class="photo" style="background-image: url(../images/imageNature4.jpg)"></div></div> <div><div class="photo" style="background-image: url(../images/imageNature5.jpg)"></div></div> </jqxScrollView>, styles: [` .photo { width: 600px; height: 450px; background-color: #000; background-position: center; background-repeat: no-repeat; } `], encapsulation: ViewEncapsulation.None ` }) export class AppComponent {
|
moveThreshold
|
Number
|
0.5
|
Sets or gets the moveThreshold property.
import { Component, ViewEncapsulation, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxScrollView #myScrollView [width]="600" [height]="450" [buttonsOffset]='[0, 0]' [moveThreshold]="1"> <div><div class="photo" style="background-image: url(../images/imageNature1.jpg)"></div></div> <div><div class="photo" style="background-image: url(../images/imageNature2.jpg)"></div></div> <div><div class="photo" style="background-image: url(../images/imageNature3.jpg)"></div></div> <div><div class="photo" style="background-image: url(../images/imageNature4.jpg)"></div></div> <div><div class="photo" style="background-image: url(../images/imageNature5.jpg)"></div></div> </jqxScrollView>, styles: [` .photo { width: 600px; height: 450px; background-color: #000; background-position: center; background-repeat: no-repeat; } `], encapsulation: ViewEncapsulation.None ` }) export class AppComponent {
|
showButtons
|
Boolean
|
true
|
Sets or gets the showButtons property.
import { Component, ViewEncapsulation, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxScrollView #myScrollView [width]="600" [height]="450" [buttonsOffset]='[0, 0]' [showButtons]="false"> <div><div class="photo" style="background-image: url(../images/imageNature1.jpg)"></div></div> <div><div class="photo" style="background-image: url(../images/imageNature2.jpg)"></div></div> <div><div class="photo" style="background-image: url(../images/imageNature3.jpg)"></div></div> <div><div class="photo" style="background-image: url(../images/imageNature4.jpg)"></div></div> <div><div class="photo" style="background-image: url(../images/imageNature5.jpg)"></div></div> </jqxScrollView>, styles: [` .photo { width: 600px; height: 450px; background-color: #000; background-position: center; background-repeat: no-repeat; } `], encapsulation: ViewEncapsulation.None ` }) export class AppComponent {
|
slideShow
|
Boolean
|
true
|
Sets or gets the slideShow property.
import { Component, ViewEncapsulation, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxScrollView #myScrollView [width]="600" [height]="450" [buttonsOffset]='[0, 0]' [slideShow]="false"> <div><div class="photo" style="background-image: url(../images/imageNature1.jpg)"></div></div> <div><div class="photo" style="background-image: url(../images/imageNature2.jpg)"></div></div> <div><div class="photo" style="background-image: url(../images/imageNature3.jpg)"></div></div> <div><div class="photo" style="background-image: url(../images/imageNature4.jpg)"></div></div> <div><div class="photo" style="background-image: url(../images/imageNature5.jpg)"></div></div> </jqxScrollView>, styles: [` .photo { width: 600px; height: 450px; background-color: #000; background-position: center; background-repeat: no-repeat; } `], encapsulation: ViewEncapsulation.None ` }) export class AppComponent {
|
slideDuration
|
"Number,
|
3000
|
Sets or gets the slideDuration property.
import { Component, ViewEncapsulation, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxScrollView #myScrollView [width]="600" [height]="450" [buttonsOffset]='[0, 0]' [slideDuration]="300"> <div><div class="photo" style="background-image: url(../images/imageNature1.jpg)"></div></div> <div><div class="photo" style="background-image: url(../images/imageNature2.jpg)"></div></div> <div><div class="photo" style="background-image: url(../images/imageNature3.jpg)"></div></div> <div><div class="photo" style="background-image: url(../images/imageNature4.jpg)"></div></div> <div><div class="photo" style="background-image: url(../images/imageNature5.jpg)"></div></div> </jqxScrollView>, styles: [` .photo { width: 600px; height: 450px; background-color: #000; background-position: center; background-repeat: no-repeat; } `], encapsulation: ViewEncapsulation.None ` }) export class AppComponent {
|
theme
|
String
|
''
|
Sets or gets the theme property.
import { Component, ViewEncapsulation, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxScrollView #myScrollView [width]="600" [height]="450" [buttonsOffset]='[0, 0]' [theme]="'energyblue'"> <div><div class="photo" style="background-image: url(../images/imageNature1.jpg)"></div></div> <div><div class="photo" style="background-image: url(../images/imageNature2.jpg)"></div></div> <div><div class="photo" style="background-image: url(../images/imageNature3.jpg)"></div></div> <div><div class="photo" style="background-image: url(../images/imageNature4.jpg)"></div></div> <div><div class="photo" style="background-image: url(../images/imageNature5.jpg)"></div></div> </jqxScrollView>, styles: [` .photo { width: 600px; height: 450px; background-color: #000; background-position: center; background-repeat: no-repeat; } `], encapsulation: ViewEncapsulation.None ` }) export class AppComponent {
|
width
|
String | Number
|
320
|
Sets or gets the width property.
import { Component, ViewEncapsulation, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxScrollView #myScrollView [width]="600" [height]="450" [buttonsOffset]='[0, 0]'> <div><div class="photo" style="background-image: url(../images/imageNature1.jpg)"></div></div> <div><div class="photo" style="background-image: url(../images/imageNature2.jpg)"></div></div> <div><div class="photo" style="background-image: url(../images/imageNature3.jpg)"></div></div> <div><div class="photo" style="background-image: url(../images/imageNature4.jpg)"></div></div> <div><div class="photo" style="background-image: url(../images/imageNature5.jpg)"></div></div> </jqxScrollView>, styles: [` .photo { width: 600px; height: 450px; background-color: #000; background-position: center; background-repeat: no-repeat; } `], encapsulation: ViewEncapsulation.None ` }) export class AppComponent {
|
|
pageChanged
|
Event
|
|
This event is triggered when the current page is changed.
Code examples
Bind to the pageChanged event of jqxScrollView.
import { Component, ViewEncapsulation, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxScrollView #myScrollView(onPageChanged)="PageChanged($event)" [width]="600" [height]="450" [buttonsOffset]='[0, 0]'> <div><div class="photo" style="background-image: url(../images/imageNature1.jpg)"></div></div> <div><div class="photo" style="background-image: url(../images/imageNature2.jpg)"></div></div> <div><div class="photo" style="background-image: url(../images/imageNature3.jpg)"></div></div> <div><div class="photo" style="background-image: url(../images/imageNature4.jpg)"></div></div> <div><div class="photo" style="background-image: url(../images/imageNature5.jpg)"></div></div> </jqxScrollView>, styles: [` .photo { width: 600px; height: 450px; background-color: #000; background-position: center; background-repeat: no-repeat; } `], encapsulation: ViewEncapsulation.None ` }) export class AppComponent { PageChanged(event: any): void
|
|
Name | Return Type | Arguments |
back
|
Void
|
None
|
import { Component, ViewEncapsulation, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxScrollView #myScrollView [width]="600" [height]="450" [buttonsOffset]='[0, 0]'> <div><div class="photo" style="background-image: url(../images/imageNature1.jpg)"></div></div> <div><div class="photo" style="background-image: url(../images/imageNature2.jpg)"></div></div> <div><div class="photo" style="background-image: url(../images/imageNature3.jpg)"></div></div> <div><div class="photo" style="background-image: url(../images/imageNature4.jpg)"></div></div> <div><div class="photo" style="background-image: url(../images/imageNature5.jpg)"></div></div> </jqxScrollView>, styles: [` .photo { width: 600px; height: 450px; background-color: #000; background-position: center; background-repeat: no-repeat; } `], encapsulation: ViewEncapsulation.None ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myScrollView') myScrollView: jqxScrollViewComponent; ngAfterViewInit(): void { this.myScrollView.back();
|
changePage
|
Void
|
index: Number
|
import { Component, ViewEncapsulation, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxScrollView #myScrollView [width]="600" [height]="450" [buttonsOffset]='[0, 0]'> <div><div class="photo" style="background-image: url(../images/imageNature1.jpg)"></div></div> <div><div class="photo" style="background-image: url(../images/imageNature2.jpg)"></div></div> <div><div class="photo" style="background-image: url(../images/imageNature3.jpg)"></div></div> <div><div class="photo" style="background-image: url(../images/imageNature4.jpg)"></div></div> <div><div class="photo" style="background-image: url(../images/imageNature5.jpg)"></div></div> </jqxScrollView>, styles: [` .photo { width: 600px; height: 450px; background-color: #000; background-position: center; background-repeat: no-repeat; } `], encapsulation: ViewEncapsulation.None ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myScrollView') myScrollView: jqxScrollViewComponent; ngAfterViewInit(): void { this.myScrollView.changePage();
|
forward
|
Void
|
None
|
import { Component, ViewEncapsulation, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxScrollView #myScrollView [width]="600" [height]="450" [buttonsOffset]='[0, 0]'> <div><div class="photo" style="background-image: url(../images/imageNature1.jpg)"></div></div> <div><div class="photo" style="background-image: url(../images/imageNature2.jpg)"></div></div> <div><div class="photo" style="background-image: url(../images/imageNature3.jpg)"></div></div> <div><div class="photo" style="background-image: url(../images/imageNature4.jpg)"></div></div> <div><div class="photo" style="background-image: url(../images/imageNature5.jpg)"></div></div> </jqxScrollView>, styles: [` .photo { width: 600px; height: 450px; background-color: #000; background-position: center; background-repeat: no-repeat; } `], encapsulation: ViewEncapsulation.None ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myScrollView') myScrollView: jqxScrollViewComponent; ngAfterViewInit(): void { this.myScrollView.forward();
|
refresh
|
Void
|
None
|
import { Component, ViewEncapsulation, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxScrollView #myScrollView [width]="600" [height]="450" [buttonsOffset]='[0, 0]'> <div><div class="photo" style="background-image: url(../images/imageNature1.jpg)"></div></div> <div><div class="photo" style="background-image: url(../images/imageNature2.jpg)"></div></div> <div><div class="photo" style="background-image: url(../images/imageNature3.jpg)"></div></div> <div><div class="photo" style="background-image: url(../images/imageNature4.jpg)"></div></div> <div><div class="photo" style="background-image: url(../images/imageNature5.jpg)"></div></div> </jqxScrollView>, styles: [` .photo { width: 600px; height: 450px; background-color: #000; background-position: center; background-repeat: no-repeat; } `], encapsulation: ViewEncapsulation.None ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myScrollView') myScrollView: jqxScrollViewComponent; ngAfterViewInit(): void { this.myScrollView.refresh();
|